#!/bin/sh
#
#
# GOfax: cron_passwd.sh - script to sync hylafaxs hosts with ldap
#
# Author: Lars Scheiter <lars.scheiter@GONICUS.de>
#
# Copyright (C) 2002-2003 GONICUS GmbH
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#    USA
#
# Contact information: GONICUS GmbH
#                      Moehnestrasse 11-17
#                      D-59755 Arnsberg
#                      Germany
#                      tel: ++49 2932 916 0
#                      fax: ++49 2932 916 230
#                      email: info@GONICUS.de
#                      http://www.GONICUS.de
#
# Primary Sponsor: Stadtkrankenhaus Ruesselsheim
#                  August-Bebel-Str. 59
#                  D-65428 Rsselsheim
#                  Germany
#                  edv@stadtkrankenhaus-ruesselsheim.de
#                  http://www.stadtkrankenhaus-ruesselsheim.de
#
#

# Paths to needed files
CONFIG="/var/spool/gofax/configs/gofax.config"

#
# No need to change anything below this line!
#
# ------------------------------------------------------------------------------------
# Source the global config
if [ -f $CONFIG ] ; then
	. $CONFIG
else
	echo "Vital config not found, exiting!"
	exit 1
fi
. $CONFIGDIR/cron.config

# Source LDAP config
. $CONFIGDIR/ldap.config

cat $TEMPLATE > $HYLAHOSTS
$BINSDIR/ldapgetpw.pl $LDAPHOSTNM $LDAPBIND $LDAPPASS $LDAPBASE $OBJECTCL >> $HYLAHOSTS

exit 0
