#!/usr/bin/perl
#
# GOfax: upload.pl - helper application for binary upload into mysql databases 
#
# Author: Cajus Pollmeier <cajus.pollmeier@GONICUS.de> 
#
# Copyright (C) 2002-2003 GONICUS GmbH
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
#    USA
#
# Contact information: GONICUS GmbH
#                      Moehnestrasse 11-17
#                      D-59755 Arnsberg
#                      Germany
#                      tel: ++49 2932 916 0
#                      fax: ++49 2932 916 230
#                      email: info@GONICUS.de
#                      http://www.GONICUS.de
#
# Primary Sponsor: Stadtkrankenhaus Ruesselsheim
#                  August-Bebel-Str. 59
#                  D-65428 Rsselsheim
#                  Germany
#                  edv@stadtkrankenhaus-ruesselsheim.de
#                  http://www.stadtkrankenhaus-ruesselsheim.de
#
#

use strict;
use DBI();

# check parameters
my $len=@ARGV;
if ($len ne 7) { 
	print "Usage: upload host user password database table id fax.tif\n";
	exit 1;
}

my $host;
my $user;
my $pass;
my $database;
my $table;
my $id;
my $filename;
($host,$user,$pass,$database,$table,$id,$filename)=@ARGV;


# Connect to the database.
my $dbh = DBI->connect("DBI:mysql:database=$database;host=$host",
          "$user", "$pass",
          {'RaiseError' => 1});

my $image;
{
    local $/ = undef;
    open IMG, "$filename" or die "Could not open $filename for read: $!, stopped";
    $image = <IMG>;
    close IMG;
}

#$image="Dies ist ein Test";

# Same thing, but using placeholders
$dbh->do("INSERT INTO $table VALUES (?, ?)",undef,$id,$image) or die "Could not save $filename ot database: $!, stopped";

# Disconnect from the database.
$dbh->disconnect();
