# Some sort of "detection" of suse
%{?suse_version:%define suse 1}
%{!?suse_version:%define suse 0}

# Define Packagename, e.g.:
# rpmbuild --rebuild --define 'sourcename gofax' gosa.srpm
%{!?sourcename:%define sourcename %{name}-%{version}}

#
# Distribution
#
Summary: 		Fax solution based on hylafax
Name:			gofax
Version: 		1.0.5pre1
Release:		1
License: 		GPL
Source: 		ftp://oss.gonicus.de/pub/gofax/%{sourcename}.tar.bz2
URL: 			http://oss.gonicus.de/project/?group_id=2
Group: 			System/Communication
Vendor:			GONICUS GmbH
Packager:		Lars Scheiter <lars.scheiter@GONICUS.de>
Buildarch: 		noarch
%if %{suse}
Requires:		gofax-plugin,hylafax,metamail,libtiff, coreutils
%else
Requires: 		gofax-plugin,hylafax-server,hylafax-client,metamail,libtiff-tools, gs-common, shellutils, textutils
%endif
BuildRoot: 		%{_tmppath}/%{name}-%{version}-root
BuildArch:		noarch

%define confdir 	/etc/%{name}
%define instdir		/usr/share/gofax

%if %{suse}
	%define dialusr fax 
	%define dialgrp uucp 
	%define hylapath /var/spool/fax
%else
	%define dialusr uucp 
	%define dialgrp uucp 
	%define hylapath /var/spool/hylafax
%endif

%package convert-png
Group:			System/Communication
Summary:		Convert plugin for PNG files
Requires:		gofax,ImageMagick

%package log-mysql
Group: 			System/Communication
Summary:		Mysql based logging plugin for GOfax
%if %{suse}
Requires:		gofax, perl, perl-DBI
%else
Requires:		gofax, perl, perl::dbi
%endif

%package log-text
Group:			System/Communication
Summary:		Text based logging plugin for GOfax
Requires:		gofax

%package plugin-ldap 
Group: 			System/Communication
Summary: 		LDAP plugins for GOfax	
%if %{suse}
Requires:		gofax,openldap2-client >= 2.0.27
%else
Requires:		gofax,ldaputils >= 2.0.27
%endif
Provides:		gofax-plugin

%package plugin-flat
Group:			System/Communication
Summary:		Textbased config files plugin for GOfax
Provides:               gofax-plugin

%package locale-de
Group:			System/Communication
Summary:		German locales for GOfax
Requires:		gofax

%package contrib
Group:                  System/Communication
Summary:		Files contributed to GOfax by third parties
Requires:		gofax

%description
GOfax is an expandable fax solution based on hylafax. It
provides pluggable facilities to store user account data,
preferred in LDAP directories. Currently it includes
converter modules for: Postscript, PDF, Tiff and Multipage
Tiff.

%description convert-png
GOfax converter plugin for png files 

%description log-mysql
MySQL based logging plugin for GOfax

%description log-text
Text based logging plugin for GOfax

%description plugin-ldap 
This plugin can be used if you have central LDAP structure
to store your account informations and want to have GOfax
using these informations for incoming and outgoing faxtransfers.

%description plugin-flat
Textbased config files plugin for GOfax.

%description locale-de
German locale files for GOfax.

%description contrib
Files contributed to GOfax by third parties.

%prep
%setup -q -n %{sourcename}

%build
./install.sh install -prefix %{instdir} -instprefix %{buildroot} -configdir /etc/gofax -logdir /var/log/gofax \
-docdir /usr/share/doc/gofax -contrib /usr/share/doc/gofax/contrib -hyladir %{hylapath} -tempdir /var/spool/gofax \
-sbinpath /usr/sbin -force

%install
rm -f %{buildroot}/contrib/gofax.spec
mv -f %{buildroot}/%{hylapath}/bin/faxrcvd %{buildroot}/%{hylapath}/bin/faxrcvd.gofax
mv -f %{buildroot}/%{hylapath}/bin/notify %{buildroot}/%{hylapath}/bin/notify.gofax
mv -f %{buildroot}/usr/sbin/faxsend %{buildroot}/usr/sbin/faxsend.gofax
rm -rf %{buildroot}/usr/share/doc/gofax/contrib
for i in CHANGES COMPATIBILITY COPYING FAQ INSTALL README README.cron README.ldap README.locale README.mysql README.plugins README.png README.postfix TODO WARNING.ldap; do rm -f %{buildroot}/usr/share/doc/gofax/$i; done

%post
# This is currently the best method to install this package as RPM
# Maybe its time for RPM to learn "diversions" :)
mv -f %{hylapath}/bin/faxrcvd %{hylapath}/bin/faxrcvd.hylafax
mv -f %{hylapath}/bin/notify %{hylapath}/bin/notify.hylafax
mv -f %{hylapath}/bin/faxsend %{hylapath}/bin/faxsend.hylafax
ln -s %{hylapath}/bin/faxrcvd.gofax %{hylapath}/bin/faxrcvd
ln -s %{hylapath}/bin/notify.gofax %{hylapath}/bin/notify
ln -s /usr/sbin/faxsend.gofax %{hylapath}/bin/faxsend

%postun
# Remove the last pieces of GOfax and rename the original ones
for i in faxrcvd notify faxsend; do
	rm -f %{hylapath}/bin/$i
	mv -f %{hylapath}/bin/${i}.hylafax %{hylapath}/bin/$i
done

%clean
rm -rf %{buildroot}

%files
%defattr(0755,%{dialusr},%{dialgrp})
%config(noreplace) %attr(0640,%{dialusr},%{dialgrp}) %{confdir}/gofax.config
%config(noreplace) %attr(0640,%{dialusr},%{dialgrp}) %{confdir}/cron.config
%config(noreplace) %attr(0640,%{dialusr},%{dialgrp}) %{confdir}/hosts.hfaxd.template
%attr(0755,%{dialusr},%{dialgrp}) %{hylapath}/bin/faxrcvd.gofax
%attr(0755,%{dialusr},%{dialgrp}) %{hylapath}/bin/notify.gofax
%attr(0770,%{dialusr},%{dialgrp}) %{instdir}/qfiles
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/gofaxd
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/bin/cron_cleanup.sh
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/bin/check_system
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/bin/mailfax.sh
%{instdir}/functions/receive_functions
%{instdir}/functions/email_functions
%{instdir}/functions/notify_functions
%{instdir}/functions/send_functions
%{instdir}/functions/base_functions
%{instdir}/functions/ldap_functions
%{instdir}/functions/qfile_functions
%{instdir}/functions/printer_functions
%{instdir}/functions/debug_functions
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/locale/en
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/locale/error
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/locale/textiso
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/locale/attach
%doc doc/COMPATIBILITY doc/TODO doc/INSTALL doc/FAQ doc/CHANGES doc/COPYING 
%doc doc/README.locale doc/README.plugins doc/README doc/README.cron
%attr(0755,%{dialusr},%{dialgrp}) /usr/sbin/faxsend.gofax
%attr(0770,%{dialusr},%{dialgrp}) /var/spool/gofax
%attr(0770,%{dialusr},%{dialgrp}) /var/log/gofax
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/convert_mod-mtiff
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/convert_mod-pdf
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/convert_mod-ps
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/convert_mod-tiff

%files convert-png
%defattr(0755,root,root)
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/convert_mod-png
%doc doc/README.png


%files log-mysql
%defattr(0755,root,root)
%config(noreplace) %attr(0600,%{dialusr},%{dialgrp}) %{confdir}/mysqlog.config
%doc doc/README.mysql
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/log_mod-mysql
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/bin/cron_mysqlclean.sh
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/bin/upload.pl

%files log-text
%defattr(0755,root,root)
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/log_mod-text

%files plugin-ldap 
%defattr(0755,root,root)
%config(noreplace) %attr(0600,%{dialusr},%{dialgrp}) %{confdir}/ldap.config
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/bin/ldap_find
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/bin/ldapgetpw.pl
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/deliver_mod-11ldap
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/send_mod-10ldap
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/bin/cron_passwd.sh
%doc doc/README.ldap doc/WARNING.ldap

%files plugin-flat
%defattr(0755,root,root)
%config(noreplace) %attr(0640,%{dialusr},%{dialgrp}) %{confdir}/faxrecp.conf
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/plugins/deliver_mod-10flat

%files locale-de
%defattr(0755,root,root)
%attr(0755,%{dialusr},%{dialgrp}) %{instdir}/locale/de

%files contrib
%doc contrib doc/README.postfix

%changelog
* Tue Nov 22 2005 Lars Scheiter <lars.scheiter@GONICUS.de> 1.0.5
- New upstream
- Merged some packages (convert plugins) back to base package

* Tue May 24 2005 Lars Scheiter <lars.scheiter@GONICUS.de> 1.0.4
- Initial build as rpm package 
